
import QtQuick 1.0

Rectangle {
  color : "lightsteelblue"
  width : 200
  height : 200

  Item {
    anchors.centerIn : parent
    height : 150
    width : 150
    Text {
      anchors.top : parent.top
      anchors.horizontalCenter : parent.horizontalCenter
      height : 30
      text : iface.name
    }

    Rectangle {
      color : "yellow"
      height : 50
      width : 50
      anchors.left : parent.left
      anchors.bottom : parent.bottom
      MouseArea {
        anchors.fill : parent
        onClicked : iface.name = "yellow"
      }
    }

    Rectangle {
      color : "red"
      height : 50
      width : 50
      anchors.right : parent.right
      anchors.bottom : parent.bottom
      MouseArea {
        anchors.fill : parent
        onClicked : iface.name = "red"
      }
    }
  }

}
